Std ViewRear: Difference between revisions

From FreeCAD Documentation
(Std ViewRear puts the camera in the 3D view looking towards the front from the back, in the direction of the negative Y axis, {{incode|[0.0, -1.0, 0.0]}}.)
 
No edit summary
 
(10 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:14-->
{{Docnav
|[[Std_ViewRight|ViewRight]]
|[[Std_ViewBottom|ViewBottom]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewRight.svg
|IconR=Std_ViewBottom.svg
|IconC=Freecad.svg
}}

<!--T:5-->
{{GuiCommand
{{GuiCommand
|Name=Std ViewRear
|Name=Std ViewRear
|MenuLocation=[[Std View Menu|View]] → Standard views → Rear
|MenuLocation=View → Standard views → Rear
|Workbenches=All
|Workbenches=All
|Shortcut=4
|Shortcut={{KEY|4}}
|SeeAlso=[[Std_ViewBottom|ViewBottom]], [[Std_ViewLeft|ViewLeft]]
|SeeAlso=[[Std_ViewBottom|Std ViewBottom]], [[Std_ViewLeft|Std ViewLeft]]
}}
}}


==Description==
==Description== <!--T:6-->


<!--T:7-->
[[Std_ViewRear|Std ViewRear]] puts the camera in the [[3D view|3D view]] looking towards the front from the back, in the direction of the negative Y axis, {{incode|[0.0, -1.0, 0.0]}}.
The '''Std ViewRear''' command points the camera in the active [[3D_view|3D view]] in the direction of the negative Y axis.


</translate>
</translate>
[[File:FreeCAD_views_front.svg]]
[[Image:FreeCAD_views_rear.svg]]
<translate>
<translate>
<!--T:4-->
<!--T:4-->
{{Caption|The rear view sets the camera looking to the front, in the direction of the negative Y axis.}}
{{Caption|Arrow 4 points in the direction of the rear view}}


==Usage== <!--T:8-->
==How to use==


<!--T:9-->
* Go to the menu {{MenuCommand|View → Standard views → [[File:Std_ViewRear.svg|16px]] [[Std_ViewRear|Rear]]}}.
# There are several ways to invoke the command:
* Or press the {{Button|[[File:Std_ViewRear.svg|16px]] [[Std_ViewRear|Rear]]}} button.
#* Press the {{Button|[[Image:Std_ViewRear.svg|16px]] [[Std_ViewRear|Std ViewRear]]}} button.
* Or press {{KEY|4}} in the numerical pad of the keyboard.
#* Select the {{MenuCommand|View → Standard views → [[Image:Std_ViewRear.svg|16px]] Rear}} option from the menu.
#* Select the {{MenuCommand|Standard views → [[Image:Std_ViewRear.svg|16px]] Rear}} option from the [[3D_view|3D view]] context menu.
#* Use the keyboard shortcut: {{KEY|4}}.


== Scripting ==
==Scripting== <!--T:10-->


<!--T:11-->
The rear view can be set from the [[Python console|Python console]].
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:12-->
It is a method of the {{incode|ActiveView}} of the {{incode|ActiveDocument}}. The {{incode|ActiveView}} only exists when the graphical interface is available; it does not exist when FreeCAD is used in purely console mode.
To change to rear view use the {{incode|viewRear}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.


</translate>
</translate>
{{Code|code=
{{Code|code=
import FreeCADGui as Gui
import FreeCADGui
Gui.ActiveDocument.ActiveView.viewRear()


Gui.ActiveDocument.ActiveView.getViewDirection()
FreeCADGui.ActiveDocument.ActiveView.viewRear()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()
}}
}}
<translate>
<translate>


<!--T:15-->
{{Std Base}}
{{Docnav
{{Userdocnavi}}
|[[Std_ViewRight|ViewRight]]
|[[Std_ViewBottom|ViewBottom]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewRight.svg
|IconR=Std_ViewBottom.svg
|IconC=Freecad.svg
}}

</translate>
</translate>
{{Std Base navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}

Latest revision as of 20:29, 22 December 2020

Std ViewRear

Menu location
View → Standard views → Rear
Workbenches
All
Default shortcut
4
Introduced in version
-
See also
Std ViewBottom, Std ViewLeft

Description

The Std ViewRear command points the camera in the active 3D view in the direction of the negative Y axis.

Arrow 4 points in the direction of the rear view

Usage

  1. There are several ways to invoke the command:
    • Press the Std ViewRear button.
    • Select the View → Standard views → Rear option from the menu.
    • Select the Standard views → Rear option from the 3D view context menu.
    • Use the keyboard shortcut: 4.

Scripting

See also: FreeCAD Scripting Basics.

To change to rear view use the viewRear method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewRear()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()